# TSGetTimeStepNumber

Gets the current number of timesteps.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSGetTimeStepNumber(TS ts,PetscInt* iter)

Not Collective

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

iter -number steps so far

### Keywords

TS, timestep, get, iteration, number

Level:intermediate
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages